QGIS Application - Bug report #6876
Performance during digitizing in a shape-layer if other big layers in project are snap-able
2012-12-14 04:09 AM - Joachim Deutmann

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows XP Prof Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 16005
Description

Layer with many elements reduce performance during digitizing in the project significantly if the layers snap is on. This applies to all of the
tested file formats or databases (Shape, XML, KML, SpatiaLite, PostgreSQL ...) If these layers, however, saved as Maplnfo Tab layer, the
performance increases drastically. For example, i generate a vector grid with 170,000 polygons and stored it as well as ESRI-shape and
as Maplinfo-tab. Both layers are in the actual project. After that i create a new polygon-shape layer in the same project. Then i turn "snap
on" on the big TAB-Layer and create an object in new shape layer (It doesn't matter, if it is created "normal” or with the plugin "new
memory layer" or if it is an existing Shapelayer). The performance difference between snap on the TAB-layer (high speed) and snap on
the SHP-layer (very, very slow) during digitizing is extreme.

History

#1 - 2012-12-30 09:51 AM - Giovanni Manghi
- Priority changed from High to Normal

#2 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2018-03-01 12:24 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#4 - 2019-02-23 07:17 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
